# Main service configurations
server.servlet.context-path=/
md-validator.path.prefix=${spring.config.additional-location}..
md-validator.domain.prefix=https://test.validator.swedenconnect.se/
server.port=8443
md-validator.daemon.recache.delay.sec=600
md-validator.html.title=Metadata Validator - Swedenconnect QA Metadata
md-validator.title=Metadata Validator for Sweden Connect Metadata
md-validator.logo.location=${md-validator.path.prefix}/sc-logo-yob-exp.svg
md-validator.logo.height=60
md-validator.home.text=Home
md-validator.home.url=https://swedenconnect.se

# Metadata location for national metadata specified as either URL (http or https), "file://" or "classpath:"
# Multipple sources may be set ordered by index. Valid parameters are "location", "certFile" (optional),
# "cacheFile" (optional), "index" and "ignoreSignatureValidation" default false.

md-validator.metadataSource.prod[0].location=https://md.swedenconnect.se/entities
md-validator.metadataSource.prod[0].certFile=${md-validator.path.prefix}/cert/sc-prod-md.crt
md-validator.metadataSource.prod[0].cacheFile=${md-validator.path.prefix}/mdcache/prod-metadata-cache.xml
md-validator.metadataSource.prod[0].index=0
md-validator.metadataSource.prod[0].ignoreSignatureValidation=false

md-validator.metadataSource.qa[0].location=https://qa.md.swedenconnect.se/entities
md-validator.metadataSource.qa[0].certFile=${md-validator.path.prefix}/cert/sc-qa-md.crt
md-validator.metadataSource.qa[0].cacheFile=${md-validator.path.prefix}/mdcache/qa-metadata-cache.xml
md-validator.metadataSource.qa[0].index=0
md-validator.metadataSource.qa[0].ignoreSignatureValidation=false

md-validator.metadataSource.sandbox[0].location=http://eid.svelegtest.se/metadata/feed
md-validator.metadataSource.sandbox[0].certFile=${md-validator.path.prefix}/cert/se-metadata-cert.crt
md-validator.metadataSource.sandbox[0].cacheFile=${md-validator.path.prefix}/mdcache/sandbox-metadata-cache.xml
md-validator.metadataSource.sandbox[0].index=0
md-validator.metadataSource.sandbox[0].ignoreSignatureValidation=false

md-validator.federationType.prod=prod
md-validator.federationType.qa=qa
md-validator.federationType.sandbox=test

# Optional definiton of title names and descriptions for each federation
md-validator.federationName.prod=Production
md-validator.federationDescription.prod=Metadata Validator for Sweden Connect services in Production
md-validator.federationName.qa=QA
md-validator.federationDescription.qa=Metadata Validator for Sweden Connect QA federation
md-validator.federationName.sandbox=Sandbox
md-validator.federationDescription.sandbox=Metadata Validator for Sweden Connect Sandbox federation

# Optional definiton of ordering in the menu (Default ordered alphabetically)
md-validator.federationOrder[0]=prod
md-validator.federationOrder[1]=qa
md-validator.federationOrder[2]=sandbox

# Service TLS settings
#server.ssl.key-store=${md-validator.path.prefix}/keystore/sslSnakeOil.p12
#server.ssl.key-store-type=PKCS12
#server.ssl.key-store-password=secret
#server.ssl.key-password=secret

tomcat.ajp.port=8009
tomcat.ajp.remoteauthentication=false
tomcat.ajp.enabled=false
tomcat.ajp.secret=

# Management
management.server.base-path=/manage
management.server.port=8008
management.server.ssl.enabled=false
management.endpoint.info.enabled=true
management.endpoint.health.enabled=true
management.endpoint.auditevents.enabled=true
management.endpoints.web.exposure.include=*
management.endpoints.web.base-path=/
management.endpoint.health.show-details=always